#bwcompass
from eventAPI import *
from APIUtils import *

bwcompass = 0

def fireEvent(e):
   global bwcompass
   bwcompass = getTag(e, "bwcompass")
   if (bwcompass == 1):
      return 1
   else:
      showPicture(e, "bw_compass")
      showMessage(e, ["You find a compass on the floor."])
   giveItems(e, ["Compass"])
   bwcompass = 1
   setTag(e, "bwcompass", bwcompass)
   return 1

